Obter todos os Webhooks
GET https://.account-name.krzlabs.io/api/v1/webhooks
Realiza a leitura de todos os webhooks.
Request
Entenda como aplicar paginação e ordenação na sua listagem
Entenda como aplicar filtros na sua listagem
Entenda como expandir entidades relacionadas nos documentos da listagem
Responses
Resposta de sucesso
200
| Field | Type | Description | Optional | Searchable |
|---|---|---|---|---|
| collection | string | Nome ou identificador da coleção. | required | false |
| url | string | URL da requisição associada à coleção. | not required | false |
| headers | array | Lista de headers utilizados na requisição. Requer duas chaves: - key: string - required - value: string - required | not required | false |
| body | array | Lista de parâmetros no corpo da requisição. Requer duas chaves: - key: string - required - value: string - required | not required | false |
| enabled | boolean | Indica se a coleção está habilitada. | not required | false |
Exemplo em JSON
{
"page": 1,
"skip": 0,
"limit": 10,
"sort": {
"campo": "asc"
},
"pages": 5,
"total": 50,
"next": true,
"previous": "2",
"nextUrl": "https://api.exemplo.com?page=2",
"previousUrl": false,
"filters": {
"status": "ativo"
},
"data": [{
"collection": "ProductsAPI",
"url": "https://api.exemplo.com/products",
"headers": [
{ "key": "Authorization", "value": "Bearer token123" },
{ "key": "Content-Type", "value": "application/json" }
],
"body": [
{ "key": "limit", "value": "100" },
{ "key": "offset", "value": "0" }
],
"enabled": true
}]
}
Resposta de erro
400
| Field | Type | Description |
|---|---|---|
| code | Number | Código da resposta http |
| kind | String | Tipo de mensagem |
| name | String | Nome da exceção lançada pela plataforma |
| title | String | Titulo do erro lançado pela plataforma |
| message | String | Mensagem indicando o probloma ocorrido |
| solution | String | Mensagem indicando uma possível solução para o problema |
Copyright © 2025 kruzer | All Rights Reserved